#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from gettext import gettext as _

from gi import require_version
require_version("Gtk", "3.0")

from gi.repository import Gtk
from gi.repository import Gdk

from .configuration import *
#from .window.preferences import PreferencesWindow

#class Preferences(PreferencesWindow):
class Preferences(object):

    def __init__(self, app = None, *args, **kwargs):
        #super().__init__(app = app, *args, **kwargs)

        if app is not None:
            self.app = app

    def _on_key_release_event(self, widget, event):
        print("Hello?")
        if event.keyval == Gdk.KEY_Escape:
            widget.destroy()

    def window(self):
        builder = Gtk.Builder()
        builder.add_from_file(os.path.join(APP_RESOURCES, "ui", "preferences.ui"))
        self.window = builder.get_object("preferences")

        """
        Build HeaderBar
        """
        if self.app.csd is True:
            self.headerbar = Gtk.HeaderBar()
            self.headerbar.set_title("Preferences")
            self.headerbar.set_show_close_button(True)
            self.window.set_titlebar(self.headerbar)
        else:
            self.window.set_title("Preferences")

        if self.app is not None and self.app.window is not None:
            self.window.set_transient_for(self.app.window)

        self.window.show_all()

    def _update_preference_dark(self, widget, event):
        print("Update preferences.")
